<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_status_bar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/convert_100px"
        android:background="#FFA627"
        app:layout_constraintTop_toTopOf="parent">

        <View
            android:id="@+id/view_back"
            android:layout_width="@dimen/convert_120px"
            android:layout_height="@dimen/convert_100px"
            android:background="@drawable/ic_cook_back"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"/>

        <View
            android:id="@+id/view_progress"
            android:layout_width="0dp"
            android:layout_height="@dimen/convert_12px"
            app:layout_constraintStart_toEndOf="@+id/view_back"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"/>

        <TextView
            android:id="@+id/tv_title_step"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:text="Step1:Peel 3 onions(180g)and2..."
            android:gravity="center_vertical"
            android:textColor="#ffffff"
            android:textSize="@dimen/convert_30px"
            android:maxLines="1"
            android:ellipsize="end"
            android:layout_marginStart="@dimen/convert_70px"
            android:layout_marginEnd="@dimen/convert_50px"
            app:layout_constraintStart_toEndOf="@+id/view_back"
            app:layout_constraintEnd_toStartOf="@+id/view_alarm"/>

        <View
            android:id="@+id/view_alarm"
            android:layout_width="@dimen/convert_56px"
            android:layout_height="@dimen/convert_45px"
            android:background="@drawable/ic_alarm"
            android:layout_marginEnd="@dimen/convert_33px"
            android:layout_marginTop="@dimen/convert_24px"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"/>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <ImageView
        android:id="@+id/iv_cook_bg"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:scaleType="centerCrop"
        app:layout_constraintTop_toBottomOf="@+id/cl_status_bar"
        app:layout_constraintBottom_toBottomOf="parent"/>

    <View
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@drawable/bg_cook_mask"
        app:layout_constraintTop_toBottomOf="@+id/cl_status_bar"
        app:layout_constraintBottom_toBottomOf="parent"/>

    <TextView
        android:id="@+id/tv_step_name"
        android:layout_width="@dimen/convert_479px"
        android:layout_height="@dimen/convert_280px"
        android:text="Step1:Peel 3 onions(180g)and2garlic cloves,halve the onions andput both in the blender jug."
        android:textColor="#fff"
        android:layout_marginStart="@dimen/convert_40px"
        android:layout_marginTop="@dimen/convert_40px"
        android:layout_marginEnd="@dimen/convert_99px"
        android:textSize="@dimen/convert_26px"
        android:lineSpacingExtra="10dp"
        android:ellipsize="end"
        android:maxLines="4"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/cl_status_bar"/>

    <ImageView
        android:id="@+id/iv_prev_step"
        android:layout_width="@dimen/convert_90px"
        android:layout_height="@dimen/convert_90px"
        android:padding="@dimen/convert_15px"
        android:src="@drawable/ic_cook_prev_step"
        android:layout_marginStart="@dimen/convert_10px"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"/>

    <ImageView
        android:id="@+id/iv_next_step"
        android:padding="@dimen/convert_15px"
        android:layout_width="@dimen/convert_90px"
        android:layout_height="@dimen/convert_90px"
        android:src="@drawable/ic_cook_next_step"
        android:layout_marginEnd="@dimen/convert_10px"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"/>

    <include
        android:id="@+id/controller"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        layout="@layout/item_cook_controller"
        app:layout_constraintBottom_toBottomOf="parent"/>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/ll_weight_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent">

        <TextView
            android:id="@+id/tv_weight_num"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="#ffffff"
            android:textSize="@dimen/convert_72px"
            android:text="50g"
            android:layout_marginBottom="@dimen/convert_42px"
            android:includeFontPadding="false"
            android:layout_gravity="center_horizontal"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintBottom_toTopOf="@+id/weight_view"/>

        <com.develop.common.widget.WeightView
            android:id="@+id/weight_view"
            android:layout_width="@dimen/convert_740px"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"/>

        <TextView
            android:id="@+id/tv_weight_tare"
            android:layout_width="@dimen/convert_197px"
            android:layout_height="@dimen/convert_80px"
            android:textColor="#ffffff"
            android:textSize="@dimen/convert_36px"
            android:text="@string/tare"
            android:gravity="center"
            android:includeFontPadding="false"
            android:layout_marginBottom="@dimen/convert_58px"
            android:background="@drawable/bg_tare_button"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"/>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <ImageView
        android:visibility="gone"
        android:id="@+id/iv_turbo_view"
        android:layout_width="@dimen/convert_170px"
        android:layout_height="@dimen/convert_170px"
        android:layout_marginTop="@dimen/convert_110px"
        android:src="@drawable/ic_cook_crush"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/cl_status_bar"/>

    <com.develop.common.widget.CircleBgImageView
        android:id="@+id/view_change_crush"
        android:layout_width="@dimen/convert_60px"
        android:layout_height="@dimen/convert_60px"
        android:layout_marginTop="@dimen/convert_40px"
        android:layout_marginEnd="@dimen/convert_40px"
        android:src="@drawable/ic_cooking_crush_small"
        app:bgColor="#EE8F08"
        android:padding="@dimen/convert_10px"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/cl_status_bar"/>

    <com.develop.common.widget.CircleBgImageView
        android:id="@+id/view_change_weight"
        android:layout_width="@dimen/convert_60px"
        android:layout_height="@dimen/convert_60px"
        android:layout_marginTop="@dimen/convert_40px"
        android:layout_marginEnd="@dimen/convert_40px"
        android:src="@drawable/ic_cooking_weight"
        app:bgColor="#EE8F08"
        android:padding="@dimen/convert_10px"
        app:layout_constraintEnd_toStartOf="@+id/view_change_crush"
        app:layout_constraintTop_toBottomOf="@+id/cl_status_bar"/>

    <com.develop.common.widget.CircleBgImageView
        android:id="@+id/view_remark"
        android:layout_width="@dimen/convert_60px"
        android:layout_height="@dimen/convert_60px"
        android:layout_marginTop="@dimen/convert_40px"
        android:layout_marginEnd="@dimen/convert_40px"
        android:src="@drawable/ic_cooking_remark"
        android:padding="@dimen/convert_10px"
        app:bgColor="@color/white"
        app:layout_constraintEnd_toStartOf="@+id/view_change_weight"
        app:layout_constraintTop_toBottomOf="@+id/cl_status_bar"/>

    <LinearLayout
        android:id="@+id/ll_step_finish"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:gravity="center_horizontal"
        android:visibility="gone"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_marginTop="@dimen/convert_100px">

        <View
            android:layout_width="@dimen/convert_152px"
            android:layout_height="@dimen/convert_108px"
            android:background="@drawable/ic_cook_finish"
            android:layout_marginTop="@dimen/convert_123px"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="ENJOY YOUR MEAL"
            android:textSize="@dimen/convert_48px"
            android:textColor="@color/white"
            android:layout_marginTop="@dimen/convert_49px"/>

        <TextView
            android:id="@+id/tv_cook_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Guacamole"
            android:textSize="@dimen/convert_36px"
            android:textColor="@color/white"
            android:layout_marginTop="@dimen/convert_24px"/>

        <com.develop.common.widget.CircleBgImageView
            android:id="@+id/iv_add_to_fav"
            android:layout_width="@dimen/convert_80px"
            android:layout_height="@dimen/convert_80px"
            android:src="@drawable/ic_cook_fav"
            android:paddingHorizontal="@dimen/convert_19px"
            android:paddingTop="@dimen/convert_24px"
            android:paddingBottom="@dimen/convert_17px"
            app:bgColor="@color/white"
            android:layout_marginTop="@dimen/convert_24px"/>

        <TextView
            android:id="@+id/tv_add_to_fav"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Add to favourite"
            android:textSize="@dimen/convert_30px"
            android:textColor="@color/white"
            android:layout_marginTop="@dimen/convert_24px"/>

    </LinearLayout>

    <FrameLayout
        android:id="@+id/fl_cook_details"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintTop_toBottomOf="@+id/cl_status_bar"
        app:layout_constraintBottom_toBottomOf="parent"/>

</androidx.constraintlayout.widget.ConstraintLayout>